rwr-alt
====
[![Build Status](https://travis-ci.org/netguru/rwr-alt.svg?branch=master)](https://travis-ci.org/netguru/rwr-alt)

[Alt.js](http://alt.js.org/) integration plugin for [react_webpack_rails](https://github.com/netguru/react_webpack_rails).

This integration makes it possible to populate and share Alt stores between react component located in different part of rails views.

## Setup
* Add `rwr-alt` to your Gemfile:

 ```
 gem 'rwr-alt'
 ```

* Install rwr-alt package:
```
$ npm install --save rwr-alt
```

## Usage
In chosen view, before components are rendered, add:

```erb
<%= alt_store('exampleStoreName', foo: @bar) %>
```

Then connect to store state in components like you [usually do in alt ](http://alt.js.org/guide/view/).

## Contributing
## Issues

Found a bug in rwr-alt? Open an issue on [GitHub Issues](https://github.com/netguru/rwr-alt/issues).

## Pull requests

Interested in contributing to rwr-alt? That's great, and thank you for your interest!

After checking out the repo, run `bundle exec rake setup:all` to install every environment dependencies.

To get your contributions accepted, make sure:

* All the tests pass. Run `bundle exec rake test:all`.
* Any new code paths you've added are covered by tests.
* Describe your changes in pull request (what it adds, how to migrate from previous version etc.)

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
